/*
 * Copyright (C) 2000-2005 LAAS/CNRS 
 *
 * Anthony Mallet - Wed Jul  5 2000
 *
 *
 */
#ifndef _POMINT_H
#define _POMINT_H

#include "posterLib.h"
#include "insitu/lib.h"
#include "libpom/lib.h"

#define POM_ME_NAME_MAXLEN	32
#define POM_ME_POSTER_NAME	"%sMEPos"

#define POM_FRAME_NAME_MAXLEN   32
#define POM_FRAME_POSTER_NAME   "pom%sFramePos"

#define POM_SE_NAME_MAXLEN      32
#define POM_SE_POSTER_NAME      "%sSEPos"

/* list of position estimators --------------------------------------- */

typedef struct POM_ME_POSTER_ASSOC {
   H2TIME last;
   char name[POM_ME_NAME_MAXLEN];
   int me;
   int fuse;
   int fuseOk;
   POSTER_ID posterId;
   struct POM_ME_POSTER_ASSOC *next;
} POM_ME_POSTER_ASSOC;

typedef struct POM_SE_POSTER_ASSOC {
  char name[POM_SE_NAME_MAXLEN];
  char from[ISFRM_MAX_LEN];
  char to[ISFRM_MAX_LEN];
  InsituLinkId linkId;
  POSTER_ID posterId;
  size_t offset;
  struct POM_SE_POSTER_ASSOC *next;
} POM_SE_POSTER_ASSOC;

typedef struct POM_FRAME_POSTER_ASSOC {
  char name[POM_FRAME_NAME_MAXLEN];
  POSTER_ID posterId;
} POM_FRAME_POSTER_ASSOC;

#endif /* _POMINT_H */
